package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Labor;
import com.gyee.frame.model.ticket.Wfrole;
import com.gyee.frame.mapper.ticket.WfroleMapper;
import com.gyee.frame.service.ticket.WfroleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-07-21
 */
@Service
public class WfroleServiceImpl extends ServiceImpl<WfroleMapper, Wfrole> implements WfroleService {


    @Override
    public Wfrole getRole(String role) {
        QueryWrapper<Wfrole> wrapper = new QueryWrapper<>();
        wrapper.eq("WFROLE", role);

        Wfrole wfrole = baseMapper.selectOne(wrapper);

        return wfrole;
    }
}
